<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript Demo</title>
    
    <script>
        let arrOfNums = [1, 7, 4, 16, 13, 0, -5, 16, 5, 7]
        // let arrOfLowNums = [-101, -202, -303, -205, -600]

        // console.log("arrOfNums:", arrOfNums)

        // find the highest number in the array
        // ?

        // init highest num variable
        let highest = arrOfNums[0]

        // optimize?
        for (const n of arrOfNums) {
            if (n >= highest)
                highest = n
        }

        // console.log("highest number:", highest);

    </script>
    <!-- <script src="mini-tasks/mini-task-3.js" defer></script> -->
    <!-- <script src="usesModules.js" defer type="module"></script> -->
    <!-- <script src="Easter Challenges/3-dice-game.js" defer></script> -->
    <script src="typeof.js" defer></script>
</head>
<body>
    <h1 id="header">Hey</h1>
    <input id="input-header-text" type="text" value="Some text">
    <button id="btn-change-header">Change Header Text</button>
    <hr>
    <input id="input-add-todo-item" type="text" placeholder="Go for a run">
    <button id="btn-add-todo-item">Add Todo Item</button>
    <ul id="todo-list">
        <li>Go for a run</li>
    </ul>
</body>
</html>